
using System;

namespace CommentaireDocumentation
{
	/// <summary>
	/// Classe principale contenant le Main.
	/// Possede une mthode <c>UneMethode</c> qui ne sert  rien.
	/// </summary>
	/// <remarks>une remarque fort interessante peut tre plac ici.<br/>
	/// <see cref="Main">Point d'entre du programme</see><br/>
	/// Exemple de liste :
	/// <list type="table">
	/// <listheader>
	/// 	<term>Part 1</term>
	/// 	<description>Part 2</description>
	/// </listheader>
	/// <item>
	/// <term>1</term>
	///	<description>un</description>
	/// </item>
	/// </list>
	/// </remarks>
	/// <seealso cref="System.Object">System.Object</seealso>
	public class MainClass
	{
		/// <summary>Point d'entre dans le programme</summary>
		/// <exception cref="Exception">Condition pour que l'exception soit leve</exception>
		public static void Main(string[] args)
		{
			Console.WriteLine("Hello World!");
			
			Console.WriteLine("Entrez a puis b");
			
			int a = Int32.Parse(Console.ReadLine());
			int b = Int32.Parse(Console.ReadLine());
			
			Console.WriteLine("a vaut {0} et b vaut {1}",a,b);
			
			MainClass.Switch(ref a, ref b);
			
			Console.WriteLine("a vaut maintenant {0} et b vaut {1}",a,b);
			
		}
		
		/// <summary>
		/// Une fonction qui ne fait rien avec un parametre <paramref name="a" />
		/// </summary>
		/// <param name="a">Un argument qui ne sert  rien </param>
		/// <returns>l'argument non modifi</returns>
		/// <example>Description d'un exemple d'utilisation
		/// <code>this.UneMethode(10)</code>
		/// </example>
		public static int UneMethode(int a)
		{
			return a;
		}
		
		/// <summary>
		/// Fonction changeant la valeur de leurs arguments
		/// </summary>
		/// <param name="a">valeur a  changer</param>
		/// <param name="b">valeur b  changer</param>
		public static void Switch(ref int a, ref int b)
		{
			//Effectue l'change de a et b
			
			//a = a*b
			a *= b;
			
			//b vaut maintenant a (b = (ab)/b d'ou b = a)
			b = a/b;
			//a vaut maintenant b (a = (ab)/a (car b = a) d'ou a = b)
			a = a/b;
			
			
		}
		
		/// <summary> 
		/// Une proprit
		/// </summary>
		/// <value>Une valeur toujour gale  1</value>
		public int UnePropriete
		{
			get
			{
				return 1;
			}
		}
		
	}
}
